Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ServerRequestInterceptor_Adapter Class Reference

TAO_ServerRequestInterceptor_Adapter. More...

`#include <ServerInterceptorAdapter.h>`

List of all members.

## Public Methods
| TAO_ServerRequestInterceptor_Adapter ( TAO_ServerRequestInterceptor_List::TYPE &interceptors, size_t &stack_size)
| ~TAO_ServerRequestInterceptor_Adapter (void)
CORBA::Boolean | location_forwarded (void) const
| Returns true if a LOCATION_FORWARD was generated, and false otherwise.
PortableInterceptor Client Side Interception Points
Each of these methods corresponds to a client side interception point. Todo: The "receive_request_service_contexts()" and "send_other()" PortableInterceptor interception points are missing.
void | receive_request_service_contexts ( TAO_ServerRequestInfo *ri, CORBA::Environment &)
| This method implements the "starting" server side interception point.
void | receive_request (TAO_ServerRequestInfo *ri, CORBA::Environment &)
| This method an "intermediate" server side interception point.
void | send_reply (TAO_ServerRequestInfo *ri, CORBA::Environment &)
| This method implements one of the "ending" server side interception points.
void | send_exception (TAO_ServerRequestInfo *ri, CORBA::Environment &)
| This method implements one of the "ending" server side interception points.
void | send_other (TAO_ServerRequestInfo *ri, CORBA::Environment &)
| This method implements one of the "ending" server side interception points.
## Private Attributes
TAO_ServerRequestInterceptor_List::TYPE& | interceptors_
| Reference to the list of registered interceptors.
size_t | len_
| Cache the length of the interceptor list so that we don't have to compute it at each stage of the current interception.
size_t& | stack_size_
| The number of interceptors "pushed" onto the logical flow stack. This is used when unwinding the flow stack.
CORBA::Boolean | location_forwarded_
| True if a PortableInterceptor::ForwardRequest exception was thrown.

## Detailed Description

TAO_ServerRequestInterceptor_Adapter.

A convenient helper class to invoke registered server request interceptor(s) in tao_idl generated code.

## Constructor & Destructor Documentation

ACE_INLINE TAO_ServerRequestInterceptor_Adapter::TAO_ServerRequestInterceptor_Adapter ( | TAO_ServerRequestInterceptor_List::TYPE & interceptors,
| size_t & stack_size )

TAO_ServerRequestInterceptor_Adapter::~TAO_ServerRequestInterceptor_Adapter ( | void )

## Member Function Documentation

ACE_INLINE CORBA::Boolean TAO_ServerRequestInterceptor_Adapter::location_forwarded ( | void ) const

| Returns true if a LOCATION_FORWARD was generated, and false otherwise.

void TAO_ServerRequestInterceptor_Adapter::receive_request ( | TAO_ServerRequestInfo * ri,
| CORBA::Environment & )

| This method an "intermediate" server side interception point.

void TAO_ServerRequestInterceptor_Adapter::receive_request_service_contexts ( | TAO_ServerRequestInfo * ri,
| CORBA::Environment & )

| This method implements the "starting" server side interception point.

void TAO_ServerRequestInterceptor_Adapter::send_exception ( | TAO_ServerRequestInfo * ri,
| CORBA::Environment & )

| This method implements one of the "ending" server side interception points.

void TAO_ServerRequestInterceptor_Adapter::send_other ( | TAO_ServerRequestInfo * ri,
| CORBA::Environment & )

| This method implements one of the "ending" server side interception points.

void TAO_ServerRequestInterceptor_Adapter::send_reply ( | TAO_ServerRequestInfo * ri,
| CORBA::Environment & )

| This method implements one of the "ending" server side interception points.

## Member Data Documentation

TAO_ServerRequestInterceptor_List::TYPE & TAO_ServerRequestInterceptor_Adapter::interceptors_`[private]`

| Reference to the list of registered interceptors.

size_t TAO_ServerRequestInterceptor_Adapter::len_`[private]`

| Cache the length of the interceptor list so that we don't have to compute it at each stage of the current interception.

CORBA::Boolean TAO_ServerRequestInterceptor_Adapter::location_forwarded_`[private]`

| True if a PortableInterceptor::ForwardRequest exception was thrown.

size_t & TAO_ServerRequestInterceptor_Adapter::stack_size_`[private]`

| The number of interceptors "pushed" onto the logical flow stack. This is used when unwinding the flow stack.

The documentation for this class was generated from the following files:

- ServerInterceptorAdapter.h
- ServerInterceptorAdapter.inl